%define name	fxload
%define version	2008_10_13
%define release 2

Summary:	EZ-USB utility program
Name:		%name
Version:	%version
Release:	%release%{?dist}
Group:		System/Kernel and hardware
License:	GPL
URL:		http://linux-hotplug.sourceforge.net/
Source:		%{name}-%{version}.tar.gz
# Patch0:		fxload-2002_04_11-types.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libusb-devel

%description
This package contains utilities for downloading firmware to EZ-USB devices.
EZ-USB devices use 8051-based microcontrollers that have been enhanced with
registers, buffers, and other device-side support for USB transactions.

It currently supports devices based on the Anchorchips EZ-USB, as well as the
Cypress EZ-USB FX (which is almost completely source compatible) and EZ-USB FX2
(which is not).  All of these support full speed (12 Mbit/sec) transfers.  The
FX2 also supports high speed (480 Mbit/s) transfers, introduced in USB 2.0.

This version of FXLOAD supports optional use of two-stage loading, where 
special device firmware is used to support writing into off-chip memory such
as RAM (when firmware neeeds more than about 8 KBytes of code and data) or,
for firmware development, I2C serial EEPROM.

%prep
%setup -q
#%patch0 -p1 -b .types
# See also http://bugs.debian.org/428923
if test -f %{_includedir}/linux/usb_ch9.h; then
  perl -pi -e's,linux/usb/ch9.h,linux/usb_ch9.h,' ezusb.c
fi

%build
make

%install
rm -fr %buildroot
%makeinstall sbindir="%buildroot/sbin"
mv %buildroot/usr/%_datadir/* %buildroot/%_datadir

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc COPYING README.txt
/sbin/fxload
%_datadir/usb
%_mandir/man8/*

%changelog
* Tue Sep 01 2009 Tim Verhoeven <tim.verhoeven.be@gmail.com> 2008_10_13-2
- Moved binary to /sbin instead of /usr/sbin

* Tue Aug 25 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 2008_10_13-1
- Make patching of linux/usb/ch9.h -> linux/usb_ch9.h dynamically.

* Wed Aug 19 2009 Tim Verhoeven <tim.verhoeven.be@gmail.com> 2008_10_13-0
- Update to 2008_10_13
- Initial version for Atrpms

* Wed Jul  4 2007 Tzafrir Cohen <tzafrir.cohen@xorcom.com> 2002_04_11-5xr
- Removed Mandriva-specific mkrel
- Rebuilding on Centos5
- BuildRequire libusb-devel
- fxload_centos5.diff: fix building on centos5, may break other kernels.
- Disabling fxload-2002_04_11-types.patch: Seems to be unnecessary.

* Tue Mar 21 2006 Austin Acton <austin@mandriva.org> 2002_04_11-5mdk
- mkrel

* Sun Mar 19 2006 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net> 2002_04_11-4mdk
- Remove requirement of ezusbmidi. This program may be used to load
  other firmware files, and it can be used with udev instead of hotplug.

* Fri Sep  2 2005 Olivier Blin <oblin@mandriva.com> 2002_04_11-3mdk
- require ezusbmidi instead of hotplug, because the hotplug script
  is provided in ezusbmidi
- Patch0: fix build by including <asm/types.h>

* Mon Mar 01 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2002_04_11-2mdk
- Own dir

* Tue Apr 22 2002 Austin Acton <aacton@yorku.ca> 2002_04_11-1mdk
- initial package
